/*=========================================================================
 * DEVSingl.cpp :       Implementation of Singledevice.
 * This is a part of the PCA project.
 *
 * Version                      1.0
 * Creation date        27/06/96
 * Revision date
 *
 *
 * (c) Ubi Studios 1996
 *=======================================================================*/

#include "stdafx.h"
#include "acp_base.h"
#include "geo.h"
#include "gli.h"
#include "itf/DEVMulti.hpp"
#include "itf/DEVSingl.hpp"

/////////////////////////////////////////////////////////////////////////////
// DEV_MultiDevice

IMPLEMENT_DYNCREATE(DEV_SingleDevice, DEV_MultiDevice)

BEGIN_MESSAGE_MAP(DEV_SingleDevice, DEV_MultiDevice)
        //{{AFX_MSG_MAP(DEV_SingleDevice)
        ON_WM_CREATE()
        //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DEV_SingleDevice construction/destruction
DEV_SingleDevice::DEV_SingleDevice() :
        DEV_MultiDevice(MD_ONEDEVICE)
{
}

DEV_SingleDevice::DEV_SingleDevice(int flags) :
        DEV_MultiDevice(flags | MD_ONEDEVICE)
{
}

DEV_SingleDevice::~DEV_SingleDevice()
{
}

/////////////////////////////////////////////////////////////////////////////
// DEV_SingleDevice message handlers

int DEV_SingleDevice::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
        if (DEV_MultiDevice::OnCreate(lpCreateStruct) == -1)
                return -1;
        return 0;
}

